'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _boolean = require('boolean');

var _boolean2 = _interopRequireDefault(_boolean);

var _factories = require('./factories');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-next-line no-process-env
// @flow

var ROARR_LOG = (0, _boolean2.default)(process.env.ROARR_LOG) === true;

// eslint-disable-next-line no-process-env
var ROARR_STREAM = (process.env.ROARR_STREAM || '').toUpperCase() === 'STDERR' ? 'STDERR' : 'STDOUT';

exports.default = (0, _factories.createLogger)(function (message) {
  if (!ROARR_LOG) {
    return;
  }

  var body = JSON.stringify(message);

  // @todo Add browser support.
  if (ROARR_STREAM === 'STDOUT') {
    process.stdout.write(body + '\n');
  } else {
    process.stderr.write(body + '\n');
  }
});
//# sourceMappingURL=log.js.map